## silgraphite2.0 102svn-1

=== examples/XftHelloWorld/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/xftgraphitetest
pkglibdir = $(libdir)/xftgraphitetest
pkgincludedir = $(includedir)/xftgraphitetest
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
bin_PROGRAMS = XftGraphiteTest$(EXEEXT)
subdir = .
DIST_COMMON = $(am__configure_deps) $(srcdir)/../../depcomp \
	$(srcdir)/../../install-sh $(srcdir)/../../missing \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/configure
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_XftGraphiteTest_OBJECTS = HelloXft.$(OBJEXT) \
	DrawGraphiteString.$(OBJEXT) GrUtfTextSrc.$(OBJEXT) \
	nsAutoDrawSpecBuffer.$(OBJEXT) nsXftPainterFactory.$(OBJEXT)
XftGraphiteTest_OBJECTS = $(am_XftGraphiteTest_OBJECTS)
am__DEPENDENCIES_1 =
XftGraphiteTest_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/../../depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
SOURCES = $(XftGraphiteTest_SOURCES)
DIST_SOURCES = $(XftGraphiteTest_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /shared/svn/SIL/graphite/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /shared/svn/SIL/graphite/missing --run tar
AUTOCONF = ${SHELL} /shared/svn/SIL/graphite/missing --run autoconf
AUTOHEADER = ${SHELL} /shared/svn/SIL/graphite/missing --run autoheader
AUTOMAKE = ${SHELL} /shared/svn/SIL/graphite/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -O2 -DNDEBUG
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS =  -ftemplate-depth-25 -O2 -DNDEBUG
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"XftGraphiteTest\" -DPACKAGE_TARNAME=\"xftgraphitetest\" -DPACKAGE_VERSION=\"2.0.0\" -DPACKAGE_STRING=\"XftGraphiteTest\ 2.0.0\" -DPACKAGE_BUGREPORT=\"silgraphite-devel@lists.sourceforge.net\" -DPACKAGE=\"xftgraphitetest\" -DVERSION=\"2.0.0\" 
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
FT_CFLAGS = -I/usr/include/freetype2 -I/usr/X11R6/include  
FT_CONFIG = /usr/bin/freetype-config
FT_LIBS = -L/usr/X11R6/lib -lXft -lfreetype -lz -lXrender -lX11 -lfontconfig  
GR_CFLAGS = -I/usr/include/silgraphite  
GR_LIBS = -lgraphite  
GR_PRIVATE_FALSE = 
GR_PRIVATE_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /shared/svn/SIL/graphite/missing --run makeinfo
OBJEXT = o
PACKAGE = xftgraphitetest
PACKAGE_BUGREPORT = silgraphite-devel@lists.sourceforge.net
PACKAGE_NAME = XftGraphiteTest
PACKAGE_STRING = XftGraphiteTest 2.0.0
PACKAGE_TARNAME = xftgraphitetest
PACKAGE_VERSION = 2.0.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 2.0.0
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
host_alias = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /shared/svn/SIL/graphite/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
GR_PRIV = 
#GR_PRIV = -I$(top_srcdir)/../../include
AM_CFLAGS = $(FT_CFLAGS) $(GR_CFLAGS) $(GR_PRIV)
AM_CXXFLAGS = $(FT_CFLAGS) $(GR_CFLAGS) $(GR_PRIV)
XftGraphiteTest_SOURCES = HelloXft.cpp DrawGraphiteString.cpp \
	GrUtfTextSrc.cpp nsAutoDrawSpecBuffer.cpp \
	nsXftPainterFactory.cpp
XftGraphiteTest_LDADD = $(FT_LIBS) $(GR_LIBS)
all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
XftGraphiteTest$(EXEEXT): $(XftGraphiteTest_OBJECTS) $(XftGraphiteTest_DEPENDENCIES) 
	@rm -f XftGraphiteTest$(EXEEXT)
	$(CXXLINK) $(XftGraphiteTest_LDFLAGS) $(XftGraphiteTest_OBJECTS) $(XftGraphiteTest_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/DrawGraphiteString.Po
include ./$(DEPDIR)/GrUtfTextSrc.Po
include ./$(DEPDIR)/HelloXft.Po
include ./$(DEPDIR)/nsAutoDrawSpecBuffer.Po
include ./$(DEPDIR)/nsXftPainterFactory.Po

.cpp.o:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	$(am__remove_distdir)
	mkdir $(distdir)
	$(mkdir_p) $(distdir)/../..
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \

=== debian/changelog ===
silgraphite2.0 (102svn-1) unstable; urgency=low

  * update to current svn
  * fix the build-deps line (rejection)

 -- Daniel Glassey <wdg@debian.org>  Mon, 12 Dec 2005 09:39:31 +0000

silgraphite2.0 (87svn-1) unstable; urgency=low

  * update to more recent svn
  * new naming scheme using svn revision
  * Don't autogenerate debian/control using cdbs (rejection)
  * Add section for source to debian/control

 -- Daniel Glassey <wdg@debian.org>  Thu,  1 Dec 2005 11:24:13 +0000

silgraphite2.0 (20051010svn-1) unstable; urgency=low

  * new upstream v2 API
  * this doesn't depend on libfont-ttf-perl as perl bindings are 
    separate now
  * GDL font compiler will be a separate package

 -- Daniel Glassey <wdg@debian.org>  Mon, 10 Oct 2005 05:32:32 +0100

silgraphite1.0 (20050813cvs-1) unstable; urgency=low

  * New sync with cvs
  * Ready to upload to unstable
  * not sure which arch #279655 is for (guessing amd64), so uploading
       in case it has been fixed in cvs
  * let cdbs control its build deps in control.in

 -- Daniel Glassey <wdg@debian.org>  Sat, 13 Aug 2005 00:12:12 +0100

silgraphite1.0 (20041025cvs-1) experimental; urgency=low

  * update to current CVS
  * remember to sign this time :/
  * name package libsilgraphite-1.2 as that is the upcoming version
  * ITP completed, Closes: #205565

 -- Daniel Glassey <wdg@debian.org>  Mon, 25 Oct 2004 20:53:50 +0100

silgraphite1.0 (20041022cvs-1) experimental; urgency=low

  * Initial Release using current CVS.

 -- Daniel Glassey <wdg@debian.org>  Fri, 22 Oct 2004 14:24:35 +0100

=== debian/control ===
Source: silgraphite2.0
Priority: optional
Section: libs
Maintainer: Daniel Glassey <wdg@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.1.0), libfontconfig1-dev (>=2.3.0-1), libx11-dev, libxft-dev
Standards-Version: 3.6.2

Package: libsilgraphite-dev
Section: libdevel
Architecture: any
Depends: libsilgraphite-2.0 (= ${Source-Version})
Description: Development files for SILGraphite
 SILGraphite is a system that can be used to create and use "smart fonts"
 capable of displaying writing systems with various complex behaviors, such
 as: contextual shaping, ligatures, reordering, split glyphs,
 bidirectionality, stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to 
 other smart font rendering technologies with limited practical local
 extensability. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the SILGraphite rendering engine for a given writing system is
 specified through extra tables added to a TrueType font. These tables are
 generated by compiling a GDL (Graphite Description Language) source file into
 a font using gdlcomp.
 .
 This package contains the headers and development libraries.

Package: libsilgraphite-2.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SILGraphite - a "smart font" rendering engine
 SILGraphite is a system that can be used to create and use "smart fonts"
 capable of displaying writing systems with various complex behaviors, such
 as: contextual shaping, ligatures, reordering, split glyphs,
 bidirectionality, stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to 
 other smart font rendering technologies with limited practical local
 extensability. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the SILGraphite rendering engine for a given writing system is
 specified through extra tables added to a TrueType font. These tables are
 generated by compiling a GDL (Graphite Description Language) source file into
 a font using gdlcomp.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f
#DEB_AUTO_UPDATE_DEBIAN_CONTROL:=yes

DEB_TAR_SRCDIR := silgraphite-2.0.0
include /usr/share/cdbs/1/rules/tarball.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
DEB_CONFIGURE_EXTRA_FLAGS := --enable-final
DEB_DH_MAKESHLIBS_ARGS_libsilgraphite-2.0 := -V"libsilgraphite-2.0 (>= 102svn-1)"
